Package weka.gui.beans

# Interface DataSource

All Known Implementing Classes:
  `AbstractDataSource`, `ClassAssigner`, `Filter`, `InstanceStreamToBatchMaker`, `Loader`, `PredictionAppender`

public interface DataSource
Interface to something that is capable of being a source for data - either batch or incremental data

Since:
  1.0
Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`addDataSourceListener(DataSourceListener dsl)`
Add a data source listener
`void`
`addInstanceListener(InstanceListener dsl)`
Add an instance listener
`void`
`removeDataSourceListener(DataSourceListener dsl)`
Remove a data source listener
`void`
`removeInstanceListener(InstanceListener dsl)`
Remove an instance listener

## Method Details

### addDataSourceListener

void addDataSourceListener(DataSourceListener dsl)
Add a data source listener

Parameters:
  `dsl` - a `DataSourceListener` value

### removeDataSourceListener

void removeDataSourceListener(DataSourceListener dsl)
Remove a data source listener

Parameters:
  `dsl` - a `DataSourceListener` value

### addInstanceListener

void addInstanceListener(InstanceListener dsl)
Add an instance listener

Parameters:
  `dsl` - an `InstanceListener` value

### removeInstanceListener

void removeInstanceListener(InstanceListener dsl)
Remove an instance listener

Parameters:
  `dsl` - an `InstanceListener` value